pix (3.0.2+victoria) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:16:45 +0200

pix (3.0.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:51:49 +0100

pix (3.0.0) victoria; urgency=medium

  [ Clement Lefebvre ]
  * Rename Gthumb -> Pix (files)
  * Rename org.gnome.gthumb -> org.x.pix and org/gnome/ghumb -> org/x/pix
  * Remove debian/watch
  * Rename links
  * Rename gthumb -> pix (strings)
  * Remove references to GNOME
  * Removed GNOME refs in help
  * Fix renaming issue
  * Add support for dark mode
  * Extensions: Remove obsolete link

  [ Michael Webster ]
  * Disable 'fast' content detection by default.

  [ Isaac Carter ]
  * Fix crash with Darktable jpg (#141)

  [ brkeh ]
  * Fix issue 28 (#123)

  [ Michael Webster ]
  * Add favorites:/// to the sidebar file browser.
  * print settings: Fix inch-to-metric conversion

  [ Clement Lefebvre ]
  * UI: Add a bit of padding around location combo
  * Make desktop background plugin work in Cinnamon and MATE
  * When setting backgrounds picture, don't mess with the options (picture aspect)
  * Background extension: Added support for Xfce
  * Grid view: Activate item when pressing Space

  [ Mike Durso ]
  * Make the slideshow feature respect the preferences zoom quality setting instead of always being low (#83)

  [ Michael Webster ]
  * print settings: Remove 'pixel' option in units selector. It is confusing because it's treated *exactly* the same as millimeters, and doesn't make much sense as a physical unit of measure even if it was properly calculated.
  * print settings: Keep images centered until explicitly moved off center (or Custom is explicitly selected).  It makes no sense to have the center combobox revert to Custom when adjusting the image size.
  * gth-image-print-job.c: Update spin button settings when the view is first created, not just when the units combobox is changed.
  * gth-image-print-job.c: Use better spinbutton settings, and allow adjustment to two decimal places when inch units are selected.
  * various: check for valid surfaces after creating them.

  [ icarter09 ]
  * Added line on how to remove image from selection

  [ Clement Lefebvre ]
  * Edit default settings
  * Improve navigation
  * Assign Del to delete files
  * Fix color-profile icon
  * Remove GNOME tag
  * l10n: Update POT
  * gThumb 3.12.0

  [ Paolo Bacchilega ]
  * Merge branch 'jirutka/gthumb-fix-204'
  * Fixed location loading after mounting volume
  * Merge branch 'zorgnac/gthumb-master'
  * Merge branch 'kendy.kutzner/gthumb-kendy.kutzner-master-patch-97900'
  * Crash when dropping files on an empty folder/catalog
  * grid view: show the drop destination even when the list is empty
  * JPEG image dimensions not displayed for files inside the trash
  * Transparent webp images are rendered incorrectly
  * webp: set width and height
  * --help: mention that user can open files and/or directories
  * PNG loader ignores gAMA
  * icc profile: fixed variable name
  * icc profile: renamed function for clarity
  * icc profile: better description for profiles with gamma correction

  [ Clement Lefebvre ]
  * gThumb 3.12.1

  [ Paolo Bacchilega ]
  * Fixed possible crash when changing directory during thumbnails creation
  * thumbnailer: added support for larger sizes
  * thumbnailer: give priority to the xdg directory
  * thumbnailer: fixed variable name

  [ Clement Lefebvre ]
  * gThumb 3.12.2
  * l10n: Update POT
  * Rename desktop files and icons: org.x.Pix -> pix
  * meson: fix version

  [ Michael Webster ]
  * Add .gitignore.
  * Use the generic getter for some fileinfo queries.

  [ Bobby Rong ]
  * Fixed build with libraw 0.21 (#168)

  [ Michael Webster ]
  * Remove copyright notice from --version and About.
  * debian/control: Remove gnome-common (obsolete).

  [ Clement Lefebvre ]
  * Revert "Add support for dark mode"
  * Remove non-configurable dark mode
  * Add dark mode support
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Jun 2023 13:55:21 +0100

pix (2.8.9) vera; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:12:50 +0000

pix (2.8.8) vera; urgency=medium

  [ Rick Calixte ]
  * Fix .gitignore for builds (#154)

  [ Michael Webster ]
  * Build: Restore po/Makefile.in.in from previous commit - removing it breaks the LMDE5 build.
  * Use github actions for CI builds.
  * gth-browser.c: Don't continuously reload a single image.
  * Disable 'fast' content detection by default.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 14:47:35 +0000

pix (2.8.7) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:26:41 +0200

pix (2.8.6) vanessa; urgency=medium

  * CI: Update targets
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 16:06:06 +0200

pix (2.8.5) vanessa; urgency=medium

  [ Michael Webster ]
  * Add Downloads to the sidebar folder navigator.

 -- Clement Lefebvre <clem@macbook>  Sat, 11 Jun 2022 11:53:41 +0200

pix (2.8.4) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:55:29 +0000

pix (2.8.3) una; urgency=medium

  * Change zoom-to-fit-width icon

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 13:59:46 +0000

pix (2.8.2) una; urgency=medium

  [ Michael Webster ]
  * Support hidpi in the folder tree and bookmark dropdown menu.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 10:11:15 +0000

pix (2.8.1) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:44:57 +0000

pix (2.8.0) una; urgency=medium

  [ Clement Lefebvre ]
  * Add support for dark mode
  * l10n: Update POT
  * Extensions: Remove obsolete link
  * Dark mode: Disable option in Xfce

  [ Isaac Carter ]
  * Fix crash with "Enhance Focus" (#136)
  * Fix crash with Darktable jpg (#141)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Nov 2021 10:22:26 +0000

pix (2.6.5) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:31 +0100

pix (2.6.4) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:16:39 +0100

pix (2.6.3) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:23 +0000

pix (2.6.2) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 10:55:05 +0000

pix (2.6.1) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:33 +0000

pix (2.6.0) ulyssa; urgency=medium

  [ icarter09 ]
  * Removed code causing issue73
  * Added backspace to list of hot keys for fullscreen mode
  * Added line on how to remove image from selection
  * Added Rating to filter list for ticket #104

  [ Michael Webster ]
  * gth-browser.c: Improve handling of invalid uris.
  * Use debhelper 10 to allow parallel (-j) make jobs.

  [ icarter09 ]
  * Implements #74. Allow for override of permanent delete message

  [ Michael Webster ]
  * Add favorites:/// to the sidebar file browser.

  [ brkeh ]
  * Fix issue 28 (#123)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Dec 2020 16:31:40 +0000

pix (2.4.11) ulyana; urgency=medium

  * Fix app version

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:42:58 +0100

pix (2.4.10) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:03:54 +0100

pix (2.4.9) ulyana; urgency=medium

  [ icarter09 ]
  * Added README for extensions. Changed extension link to point to the new README.

  [ Clement Lefebvre ]
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:36:10 +0100

pix (2.4.8) ulyana; urgency=medium

  * Use the new xapp diaporama-symbolic icon

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 15:52:38 +0100

pix (2.4.7) ulyana; urgency=medium

  * Packaging: Remove gnome-doc-utils
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 14:02:24 +0100

pix (2.4.6) tricia; urgency=medium

  [ Michael Webster ]
  * cairo_io/cairo-image-surface-xcf.c: Initialize some variables.

  [ Clement Lefebvre ]
  * Remove dependency on scrollkeeper

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2020 11:51:59 +0000

pix (2.4.5) tricia; urgency=medium

  [ Paolo Bacchilega ]
  * jpeg loader: crash when the original size is too big for a cairo surface
  * jpeg loader: call alloc_sarray before jpeg_start_decompress
  * jpeg loader: error if the orientation swaps width and height
  * jpeg loader: do not scan more than output_height lines
  * cairo scale: do not create images with invalid dimensions
  * check whether the scaled surface is null before using it
  * gth-image: allow to set null surfaces
  * image viewer: do not try do paint surfaces with invalid size

  [ Michael Webster ]
  * various: check for valid surfaces after creating them.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:43:08 +0000

pix (2.4.4) tricia; urgency=medium

  [ Michael Webster ]
  * gth-image-print-job.c: Update spin button settings when the view is first created, not just when the units combobox is changed.
  * gth-image-print-job.c: Use better spinbutton settings, and allow adjustment to two decimal places when inch units are selected.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:29:22 +0000

pix (2.4.3) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:52:21 +0000

pix (2.4.2) tricia; urgency=medium

  [ Michael Webster ]
  * print settings: Fix inch-to-metric conversion
  * print settings: Remove 'pixel' option in units selector. It is confusing because it's treated *exactly* the same as millimeters, and doesn't make much sense as a physical unit of measure even if it was properly calculated.
  * print settings: Keep images centered until explicitly moved off center (or Custom is explicitly selected).  It makes no sense to have the center combobox revert to Custom when adjusting the image size.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Dec 2019 09:58:17 +0000

pix (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:13:12 +0000

pix (2.4.0) tricia; urgency=medium

  [ Mike Durso ]
  * Make the slideshow feature respect the preferences zoom quality setting instead of always being low (#83)

  [ Clement Lefebvre ]
  * Remove gconf usage
  * Viewer: Switch to high zoom-quality by default
  * Browser: Replace edit icon
  * UI: Add a bit of padding around location combo
  * Deletion dialogs: Highlight OK button by default

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Nov 2019 18:16:16 +0100

pix (2.2.1) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 14:54:26 +0200

pix (2.2.0) tina; urgency=medium

  [ Leigh Scott ]
  * Add autogen file and amend Install (#64)

  [ Yury Martynov ]
  * Fix exiv2 issues (https://github.com/linuxmint/pix/issues/70) (#71)

  [ Clement Lefebvre ]
  * Add Ctrl+W and Ctrl+Q shortcuts
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 14:11:27 +0200

pix (2.0.3) tessa; urgency=medium

  * l10n: Update translations
  * CI: Remove Mint 18

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 13:52:37 +0000

pix (2.0.2) tessa; urgency=medium

  [ Michael Webster ]
  * image_viewer/gth-image-viewer-page.c: Use ctrl-v for Paste Image shortcut.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:28:31 +0000

pix (2.0.1) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:28:15 +0000

pix (2.0.0) tessa; urgency=medium

  [ NikoKrause ]
  * Use icon for keyboard shortcuts help entry (#55)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:32:47 +0000

pix (1.8.2) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:29:36 +0200

pix (1.8.1) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 12:55:09 +0100

pix (1.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration

  [ JosephMcc ]
  * Use a cario_surface to store thumbnails
  * Fix Gtk3.20+ issues

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 16:36:12 +0100

pix (1.6.2) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:21:14 +0000

pix (1.6.1) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:11:03 +0000

pix (1.6.0) sylvia; urgency=medium

  [ JosephMcc ]
  * Create ISSUE_TEMPLATE.md

  [ Cobinja ]
  * Switch zoom buttons in toolbar (#37)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Oct 2017 11:51:31 +0100

pix (1.4.5) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:29:45 +0200

pix (1.4.4) sonya; urgency=medium

  * RAW images: Apply rotation to satisfy EXIF orientation

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Jun 2017 15:36:54 +0100

pix (1.4.3) sonya; urgency=medium

  [ leigh123linux ]
  * added support for image/x-fuji-raf raw files (#29)

  [ Clement Lefebvre ]
  * Packaging: Depend on dcraw

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jun 2017 18:16:01 +0100

pix (1.4.2) sonya; urgency=medium

  * Grid view: Activate item when pressing Space
  * Improve keyboard navigation
  * Update help to reflect keybinding changes
  * Switch to symbolic icons
  * Change default layout of thumbs to vertical in viewer-mode.
  * Make the screenshot button icon symbolic
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 13:51:48 +0100

pix (1.4.1) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 15:02:40 +0100

pix (1.4.0) sonya; urgency=medium

  [ monsta ]
  * configure.ac: fix typo in message
  * build with webkit2gtk-4.0 instead of webkit2gtk-3.0
  * debian/control: drop unused build-deps
  * debian/rules: drop non-existent build option
  * debian/rules: use correct build option name

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 08:46:34 +0100

pix (1.2.1) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 13:06:59 +0000

pix (1.2.0) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 00:29:28 +0000

pix (1.0.6) sarah; urgency=medium

  * Background extension: Added support for Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 15:42:40 +0200

pix (1.0.5) sarah; urgency=medium

  * Fixed pix crash in code selector

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2016 10:41:18 +0100

pix (1.0.4) sarah; urgency=medium

  * Fixed thumbnails not being generated in browser/thumblist in GTK 3.18
  * [Paolo Bacchilega] Facebook: added permission to read the user albums and photos
  * [Paolo Bacchilega] Facebook: fixed the authorization process

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2016 20:10:59 +0100

pix (1.0.3) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:14:38 +0100

pix (1.0.2) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Fixed wrong URL in about dialog
  * Toolbar: Show text under icons by default
  * Removed debian/patches
  * Fixed setting background in MATE
  * When setting backgrounds picture, don't mess with the options (picture aspect)

  [ JosephMcc ]
  * Remove a couple sizes of the palette.png icon
  * build: Fix a build warning

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2016 10:30:48 +0100

pix (1.0.1) sarah; urgency=medium

  * Removed ref to GNOME in help
  * Changed icon
  * Removed GNOME refs in help
  * Make desktop background plugin work in Cinnamon and MATE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 May 2016 17:44:14 +0100

pix (1.0.0) sarah; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 May 2016 15:49:00 +0000

